Subject: bug#20246: 25.0.50; Tramp does not show correct error message when ssh refuses to connect to host due to changed host key

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Jan 2022 17:12:59 +0100

Filipp Gunbin <[email-masked]> writes:

> When I try to connect to a host and that host's key differs from what I
> have in ~/.ssh/known_hosts Tramp does not handle that correctly.
>
> SSH suspects an attack, but in my case it is not.
>
> I suppose Tramp could show the full error message emitted by ssh.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I tried reproducing this under "emacs -Q" with Emacs 28/29, but Tramp
pops up the full ssh message buffer, so I don't seem to be able to
reproduce the problem.  Are you still seeing the problem in recent Emacs
versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no